AI Sync

Folders

Reorder

POSThttps://app.rizzdial.com/api/ai/agent/folders/reorder
Reorder
curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/folders/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "folder_ids": "1"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Reorder#

Reorder AI agent folders (same rules as web reorderFolders — folder_ids in desired order, sort_order 1..n). Accepts base64 encoded IDs (from List AI Agent Folders) or numeric IDs.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

folder_idsarraybodyrequired

One of: 1. min 1

curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/folders/reorder \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"folder_ids":[]}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records